package models

type Course struct {
	Id   int
	Name string
}

type CourseRepository interface {
	FindByName(name string) (Course, error)
	GetAll() ([]Course, error)
	FindById(id int) (Course, error)
}
